curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/customer-due-diligence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"answers": {
"intent": {
"expected-activities": [
"cryptocurrency_investing",
"deposit_withdraw_crypto"
]
}
}
}
}
'{
"customerDueDiligence": {
"code": "customer-due-diligence",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"answers": {
"intent": {
"expected-activities": [
"cryptocurrency_investing",
"deposit_withdraw_crypto"
]
}
}
},
"hint": {
"type": "form",
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"schema": {
"type": "object",
"properties": {
"intent": {
"type": "object",
"title": "How will you use Uphold?",
"description": "Please be careful with your selection to avoid unnecessary account opening delays",
"unevaluatedProperties": false,
"properties": {
"expected-activities": {
"type": "array",
"uniqueItems": true,
"minItems": 1,
"maxItems": 4,
"items": {
"type": "string",
"oneOf": [
{
"const": "cryptocurrency_investing",
"title": "Trade cryptocurrencies"
},
{
"const": "foreign_exchange_trading",
"title": "Currency conversion"
},
{
"const": "deposit_withdraw_crypto",
"title": "Deposit or withdraw cryptocurrencies"
},
{
"const": "international_payments_transfers",
"title": "Transfers between users"
}
]
}
}
},
"required": [
"expected-activities"
]
},
"financial-information": {
"type": "object",
"title": "Financial Information",
"unevaluatedProperties": false,
"properties": {
"source-of-funds": {
"title": "Main source of income",
"type": "string",
"oneOf": [
{
"const": "salary",
"title": "Salary"
},
{
"const": "profits_own_business",
"title": "Profits from owned business"
},
{
"const": "inheritance",
"title": "Inheritance"
},
{
"const": "other",
"title": "Other"
}
]
},
"annual-income-range": {
"title": "Annual income",
"type": "string",
"oneOf": [
{
"const": "0-20000-GBP",
"title": "< £ 20,000"
},
{
"const": "20000-30000-GBP",
"title": "£ 20,000 to £ 30,000"
},
{
"const": "30000-40000-GBP",
"title": "£ 30,000 to £ 40,000"
},
{
"const": "40000-60000-GBP",
"title": "£ 40,000 to £ 60,000"
},
{
"const": "60000-80000-GBP",
"title": "£ 60,000 to £ 80,000"
},
{
"const": "80000-130000-GBP",
"title": "£ 80,000 to £ 130,000"
},
{
"const": "130000-210000-GBP",
"title": "£ 130,000 to £ 210,000"
},
{
"const": "210000-7636308099580000-GBP",
"title": "£ 210,000 or more"
}
]
},
"expected-annual-deposits-range": {
"title": "Expected annual deposits",
"type": "string",
"oneOf": [
{
"const": "0-5000-GBP",
"title": "< £ 5,000"
},
{
"const": "5000-15000-GBP",
"title": "£ 5,000 to £ 15,000"
},
{
"const": "15000-20000-GBP",
"title": "£ 15,000 to £ 20,000"
},
{
"const": "20000-40000-GBP",
"title": "£ 20,000 to £ 40,000"
},
{
"const": "40000-80000-GBP",
"title": "£ 40,000 to £ 80,000"
},
{
"const": "80000-95000-GBP",
"title": "£ 80,000 to £ 95,000"
},
{
"const": "95000-7636308099578000-GBP",
"title": "£ 95,000 or more"
}
]
}
},
"required": [
"source-of-funds",
"annual-income-range",
"expected-annual-deposits-range"
],
"allOf": [
{
"if": {
"properties": {
"source-of-funds": {
"const": "other"
}
},
"required": [
"source-of-funds"
]
},
"then": {
"properties": {
"other-source-of-funds": {
"type": "string",
"title": "Enter your other source of income",
"pattern": "^\\\\S.*\\\\S$|^\\\\S$",
"minLength": 1,
"maxLength": 50
}
},
"required": [
"other-source-of-funds"
]
}
}
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "How will you use Uphold?",
"elements": [
{
"type": "Control",
"scope": "#/properties/intent/properties/expected-activities"
}
]
},
{
"type": "Category",
"label": "Financial Information",
"elements": [
{
"type": "Control",
"scope": "#/properties/financial-information/properties/source-of-funds"
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/other-source-of-funds",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/financial-information/properties/source-of-funds",
"schema": {
"const": "other"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/annual-income-range"
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/expected-annual-deposits-range"
}
]
}
]
}
}
}
}KYC
Update customer due diligence
Update the customer due diligence process for a user.
PATCH
/
core
/
kyc
/
processes
/
customer-due-diligence
curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/customer-due-diligence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"answers": {
"intent": {
"expected-activities": [
"cryptocurrency_investing",
"deposit_withdraw_crypto"
]
}
}
}
}
'{
"customerDueDiligence": {
"code": "customer-due-diligence",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"answers": {
"intent": {
"expected-activities": [
"cryptocurrency_investing",
"deposit_withdraw_crypto"
]
}
}
},
"hint": {
"type": "form",
"formId": "ae80271a-a3f0-453b-8dc6-36b777817217",
"schema": {
"type": "object",
"properties": {
"intent": {
"type": "object",
"title": "How will you use Uphold?",
"description": "Please be careful with your selection to avoid unnecessary account opening delays",
"unevaluatedProperties": false,
"properties": {
"expected-activities": {
"type": "array",
"uniqueItems": true,
"minItems": 1,
"maxItems": 4,
"items": {
"type": "string",
"oneOf": [
{
"const": "cryptocurrency_investing",
"title": "Trade cryptocurrencies"
},
{
"const": "foreign_exchange_trading",
"title": "Currency conversion"
},
{
"const": "deposit_withdraw_crypto",
"title": "Deposit or withdraw cryptocurrencies"
},
{
"const": "international_payments_transfers",
"title": "Transfers between users"
}
]
}
}
},
"required": [
"expected-activities"
]
},
"financial-information": {
"type": "object",
"title": "Financial Information",
"unevaluatedProperties": false,
"properties": {
"source-of-funds": {
"title": "Main source of income",
"type": "string",
"oneOf": [
{
"const": "salary",
"title": "Salary"
},
{
"const": "profits_own_business",
"title": "Profits from owned business"
},
{
"const": "inheritance",
"title": "Inheritance"
},
{
"const": "other",
"title": "Other"
}
]
},
"annual-income-range": {
"title": "Annual income",
"type": "string",
"oneOf": [
{
"const": "0-20000-GBP",
"title": "< £ 20,000"
},
{
"const": "20000-30000-GBP",
"title": "£ 20,000 to £ 30,000"
},
{
"const": "30000-40000-GBP",
"title": "£ 30,000 to £ 40,000"
},
{
"const": "40000-60000-GBP",
"title": "£ 40,000 to £ 60,000"
},
{
"const": "60000-80000-GBP",
"title": "£ 60,000 to £ 80,000"
},
{
"const": "80000-130000-GBP",
"title": "£ 80,000 to £ 130,000"
},
{
"const": "130000-210000-GBP",
"title": "£ 130,000 to £ 210,000"
},
{
"const": "210000-7636308099580000-GBP",
"title": "£ 210,000 or more"
}
]
},
"expected-annual-deposits-range": {
"title": "Expected annual deposits",
"type": "string",
"oneOf": [
{
"const": "0-5000-GBP",
"title": "< £ 5,000"
},
{
"const": "5000-15000-GBP",
"title": "£ 5,000 to £ 15,000"
},
{
"const": "15000-20000-GBP",
"title": "£ 15,000 to £ 20,000"
},
{
"const": "20000-40000-GBP",
"title": "£ 20,000 to £ 40,000"
},
{
"const": "40000-80000-GBP",
"title": "£ 40,000 to £ 80,000"
},
{
"const": "80000-95000-GBP",
"title": "£ 80,000 to £ 95,000"
},
{
"const": "95000-7636308099578000-GBP",
"title": "£ 95,000 or more"
}
]
}
},
"required": [
"source-of-funds",
"annual-income-range",
"expected-annual-deposits-range"
],
"allOf": [
{
"if": {
"properties": {
"source-of-funds": {
"const": "other"
}
},
"required": [
"source-of-funds"
]
},
"then": {
"properties": {
"other-source-of-funds": {
"type": "string",
"title": "Enter your other source of income",
"pattern": "^\\\\S.*\\\\S$|^\\\\S$",
"minLength": 1,
"maxLength": 50
}
},
"required": [
"other-source-of-funds"
]
}
}
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "How will you use Uphold?",
"elements": [
{
"type": "Control",
"scope": "#/properties/intent/properties/expected-activities"
}
]
},
{
"type": "Category",
"label": "Financial Information",
"elements": [
{
"type": "Control",
"scope": "#/properties/financial-information/properties/source-of-funds"
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/other-source-of-funds",
"rule": {
"effect": "SHOW",
"condition": {
"scope": "#/properties/financial-information/properties/source-of-funds",
"schema": {
"const": "other"
}
}
}
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/annual-income-range"
},
{
"type": "Control",
"scope": "#/properties/financial-information/properties/expected-annual-deposits-range"
}
]
}
]
}
}
}
}Update customer due diligence is the endpoint used to submit the form that collects financial information and determines the user’s risk level. When callingDocumentation Index
Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /core/kyc?detailed=customerDueDiligence, you will get a hint property which includes a dynamic form schema and UI schema.
The hint property will also be available in responses of this endpoint, in case there are still questions to be answered.
For more information about forms, refer to the form-based processes section.Authorizations
OAuth 2.0 authentication.
Headers
The natural language and locale that the client prefers.
Body
application/json
Response
KYC customer due diligence process updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I